html {
  color: #1a1a1a;
  margin: auto;
  padding: 10px;
  max-width: 76em;
}
body {
  font-family: Georgia, serif;
  font-size: 13pt;
  line-height: 1.4;
}
/* Hide the SVG diagram on mobile devices */
@media (max-width: 64rem) {
  #diagram {
    display: none;
  }
}
#paypal {
  float: right;
  font-size: 12pt;
  font-family: Arial, Verdana, sans-serif;
  opacity: 0.2;
}
#github-sponsors {
  float: right;
  margin-left: 1em;
  font-size: 10pt;
  font-family: Arial, Verdana, sans-serif;
  border-radius: 12px;
  background-color: cyan;
  width: 6em;
  height: 1.7em;
  line-height: 1.7em;
  text-align: center;
  font-weight: bold;
  opacity: 0.2;
}
#github-sponsors a:hover {
  text-decoration: none;
}
#ukraine {
  float: right;
  margin-left: 1em;
  font-size: 10pt;
  font-family: Arial, Verdana, sans-serif;
  border-radius: 12px;
  color: #005BBB;
  background-color: #FFD500;
  width: 12em;
  height: 1.7em;
  line-height: 1.7em;
  text-align: center;
  font-weight: bold;
}
#ukraine a:hover {
  text-decoration: none;
}


.btn {
  font-family: Arial, Verdana, sans-serif;
  background-color: #337ab7;
  color: white;
  font-weight: bold;
  font-size: 1em;
  padding: 0.5em 1.5em;
  white-space: normal;
  border-radius: 12px;
}
.extension-checkbox {
  float: right;
  opacity: 0.5;
  cursor: help;
}
.container {
  display: flex;
}
#sidebar {
  order: 2;
  position: sticky;
  top: 2rem;
  max-width: 20em;
  min-width: 12em;
  align-self: baseline;
  background: transparent;
}
#toc {
  margin-top: 1em;
  margin-left: 2rem;
  height: 80vh;
  overflow-y: scroll;
  font-size: 11pt;
}
#toc code {
  font-size: 10pt;
}
div#toc li {
  list-style:none;
}
#toc > ul {
  margin-left: 0;
  margin-top: 4pt;
}
#toc li {
  padding-bottom: 3pt;
  padding-top: 3pt;
}
#toc ul {
  padding-left: 1em;
}
#toc ul > li {
  position: relative;
}
#toc .toggle {
  cursor: pointer;
  position: absolute;
  left: -28px;
  top: -2px;
  padding: 2px 10px;
  color: #337ab7;
}
#toc .toggle:hover {
  opacity: 0.5;
}

#tocbtn {
  width: 100%;
  text-align: right;
  font-size: 11pt;
  padding-left: 1em;
}

main {
  position: relative; /* needed for the anchor links to work */
  order: 1;
  max-width: 48em;
  min-width: 300px;
  padding-bottom: 60em; /* ensure that any anchor can be at top */
}
#input-search {
  font-family: Arial, Verdana, sans-serif;
  font-weight: normal;
  font-size: 13pt;
  border-radius: 24px;
}
#input-search {
  border-style: none;
  border: 1px solid grey;
}
#submit-search {
  border-style: none;
  background-color: #337ab7;
  color: white;
  font-family: Arial, Verdana, sans-serif;
  font-size: 12pt;
  font-weight: normal;
  border-radius: 6px;
  padding: 4px;
}
.modal {
  display: none;
}
.modal.scrollable {
  height: 32em;
  overflow-y: scroll;
}
.modal.show {
  display: block;
  position: absolute;
  z-index: 1;
  width: 90%;
  margin: auto;
  background: white;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}
.modal-header {
background-color: cyan;
  margin: 0;
  padding: 4pt 0pt 4pt 0pt;
  font-size: 13pt;
  font-weight: 600;
}
.modal-title {
}
.modal-body {
  padding: 6pt;
}
#headerimage {
}
header span {
  font-family: Arial, Verdana, sans-serif;
}
header .big {
  font-size: 36pt;
border: none;
}
header .small {
  font-size: 22pt;
  color: gray;
}
h1.title {
  font-size: 24pt;
}
h1, h2, h3 {
  font-weight: normal;
  padding-bottom: 3px;
  border-bottom: 1px solid black;
}
h4 { font-size: 14pt;
  font-weight: bold;
  margin-top: 1em;
}
h1 {
  font-size: 20pt;
}
h2 {
  font-size: 18pt;
}
h3 {
  font-size: 16pt;
}

code{
  white-space: pre-wrap;
  font-size: 11pt;
  background-color: transparent;
}
code.option-def { white-space: nowrap; }
a.option code { color: inherit; white-space: nowrap; }
pre{ font-size: 11pt; }
.smallcaps{font-variant: small-caps;}
.line-block{white-space: pre-line;}
.column{display: inline-block;}
q { quotes: "“" "”" "‘" "’"; }
a {
  color: #337ab7;
  text-decoration: none;
}

nav {
  margin-top: 1em;
  font-family: Arial, Verdana, sans-serif;
  font-weight: 600;
}
nav .dropdown-toggle:before {
  content: "▼";
}
nav .dropdown-menu {
  display: none;
  position: absolute;
  padding: 6pt;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  background: white;
}
nav li {
  border-radius: 16px;
  padding: 6px;
}
nav a {
  padding: 6pt 12pt 6pt 12pt;
  font-size: 13pt;
  font-weight: 600;
  color: #337ab7;
  text-decoration: none;
}
.nav-item:hover {
  background-color: #bbb;
}
nav .show {
  display: inline-block;
}
nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
nav > ul {
  display: inline-flex;
  flex-wrap: wrap;
}
.card-header {
  background-color: #eee;
  border-radius: 24px 24px 24px 24px;
  padding: 3pt 6pt 3pt 6pt;
}
.show .card-header {
  border-radius: 24px 24px 0px 0px;
}
.card {
  padding: 0pt;
  margin: 6pt;
  border: 1px solid grey;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  border-radius: 24px;
}
.card-body {
  padding: 6pt;
  display: none;
}
.show .card-body {
  display: block;
}
table {
  margin-top: 1em;
  margin-bottom: 1em;
}
table th {
  border-bottom: 1px solid black;
}
th, td {
  padding-right: 10pt;
  vertical-align: top;
  text-align: left;
}
.twocol {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.col {
  min-width: 12em;
  max-width: 22em;
}
ul ul {
  margin-bottom: 0.5em
}
ul { list-style-type: square; }
dt { font-weight: bold; margin-bottom: .1em; }
dd {
  margin-left: 2em;
}
hr {
  height: 1px;
  color: #aaa;
  background-color: #aaa;
  border: 0;
  margin: .2em 0 .2em 0;
}
blockquote {
  padding: 0 1.6em;
  color: #666;
}
#footnotes {
  margin-top: 1em;
}
#footnotes::before {
  font-weight: normal;
  font-size: 18pt;
  padding-bottom: 3px;
  content: "Notes";
}
footer {
  padding: 1em;
  color: #888;
  text-align: center;
  font-size: 12pt;
}
/* show the anchor links in headings if one hovers over the heading. */
.anchor:before {
  /* link symbol + variation selector-15 (UFE0E); the latter forces to use the
   current font, not some special emoji. */
  content: '🔗\FE0E';
  display: inline-block;
  font-size: 14pt;
  left: -1.75em;
  line-height: 1.66;
  opacity: 0.2;
  padding-right: 0.5em;
  position: absolute;
}
.anchor:hover {
  text-decoration: none;
}
h1:hover > .anchor::before,
h2:hover > .anchor::before,
h3:hover > .anchor::before {
  opacity: 1;
}
/* end: heading anchor links */

/* Print CSS */
@media print {
  body {
  width:100% !important;
  margin:0 !important;
  padding:0 !important;
  line-height: 1.4;
  word-spacing:1.1pt;
  letter-spacing:0.2pt;
  font-family: "Times New Roman", serif;
  color: #000;
  background: none;
  }
  /*Headings */
  h1,h2,h3,h4,h5,h6 { font-family: Helvetica, Arial, sans-serif; }
  h1{font-size:19pt;}
  h2{font-size:17pt;}
  h3{font-size:15pt;}
  h4,h5,h6{font-size:12pt;}

  pre, code { font: 10pt Courier, monospace; }
  blockquote { margin: 1.3em; padding: 1em;  font-size: 10pt; }
  hr { background-color: #ccc; }

  /* Images */
  img { float: left; margin: 1em 1.5em 1.5em 0; }
  a img { border: none; }

  /* Links */
  a:link, a:visited { background: transparent; font-weight: normal; text-decoration: underline; color:#333; }
  a:link[href^="http://"]:after, a[href^="http://"]:visited:after { content: " (" attr(href) ")"; font-size: 90%; }
  a[href^="http://"] {color:#000; }

  /* Table */
  table { margin: 1px; text-align:left; }
  th { font-weight: bold; }
  th,td { padding: 4px 10px 4px 0; }
  tfoot { font-style: italic; }
  caption { background: #fff; margin-bottom:2em; text-align:left; }
  thead {display: table-header-group;}
  tr {page-break-inside: avoid;}

  /* Figure */
  figure { width: 90%; margin: 1em 0 1em 0; }
  figcaption { font-size: 88%; text-align: center; font-style: italic; }
  </style>
  ```
...

On August 3, 2006, I uploaded the first version of pandoc to my
website, releasing it under the free GPL license. Pandoc 0.1
consisted of about 3000 lines of Haskell code, with no
dependencies aside from GHC's standard library. It could convert
Markdown, reStructuredText, HTML, and LaTeX documents into
any of these formats, plus RTF or S5. I had no idea at the time
that this would just be the first of over two hundred releases
over the next twenty years; that the project would become the
[most popular program written in Haskell][githubranking];
that I would spend countless hours on bug-fixes, improvement, and project
management; that I would collaborate with programmers in many
other countries; that pandoc would come to support over fifty
document formats; that it would allow automatic generation of
citations and bibliographies; that it would become integrated
into academic writing tools like [Quarto](https://quarto.org)
and [Jupyter Notebook](https://jupyter.org); that it
would be installed on millions of computers around the world.

  /*hide various parts from the site*/
  .extension-checkbox { display: none; }
}
